package databaseModel;

import javax.persistence.*;

/**
 * The persistent class for the PROJEKT database table.
 * 
 */
@Entity
public class Projekt implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private int id;
	@Column(length = 300)
	private String beschreibung;
	@Column(length = 300)
	private String kommentar;
	@Column(length = 15)
	private String status;
	@Column(length = 30)
	private String titel;
	private Ansprechpartner ansprechpartnerBean;
	private Student student1Bean;
	private Student student2Bean;
	private Student student3Bean;

	public Projekt() {
	}

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getBeschreibung() {
		return this.beschreibung;
	}

	public void setBeschreibung(String beschreibung) {
		this.beschreibung = beschreibung;
	}

	public String getKommentar() {
		return this.kommentar;
	}

	public void setKommentar(String kommentar) {
		this.kommentar = kommentar;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getTitel() {
		return this.titel;
	}

	public void setTitel(String titel) {
		this.titel = titel;
	}

	// bi-directional many-to-one association to Ansprechpartner
	@ManyToOne
	@JoinColumn(name = "ANSPRECHPARTNER")
	public Ansprechpartner getAnsprechpartnerBean() {
		return this.ansprechpartnerBean;
	}

	public void setAnsprechpartnerBean(Ansprechpartner ansprechpartnerBean) {
		this.ansprechpartnerBean = ansprechpartnerBean;
	}

	// bi-directional many-to-one association to Student
	@ManyToOne
	@JoinColumn(name = "STUDENT1")
	public Student getStudent1Bean() {
		return this.student1Bean;
	}

	public void setStudent1Bean(Student student1Bean) {
		this.student1Bean = student1Bean;
	}

	// bi-directional many-to-one association to Student
	@ManyToOne
	@JoinColumn(name = "STUDENT2")
	public Student getStudent2Bean() {
		return this.student2Bean;
	}

	public void setStudent2Bean(Student student2Bean) {
		this.student2Bean = student2Bean;
	}

	// bi-directional many-to-one association to Student
	@ManyToOne
	@JoinColumn(name = "STUDENT3")
	public Student getStudent3Bean() {
		return this.student3Bean;
	}

	public void setStudent3Bean(Student student3Bean) {
		this.student3Bean = student3Bean;
	}

}