package databaseModel;

import java.io.Serializable;
import javax.persistence.*;

import java.util.List;

/**
 * The persistent class for the UNTERNEHMEN database table.
 * 
 */
@Entity
public class Unternehmen implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private int id;
	@Column(length = 30)
	private String name;
	private List<Ansprechpartner> ansprechpartners;

	public Unternehmen() {
	}

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	// bi-directional many-to-one association to Ansprechpartner
	@OneToMany(mappedBy = "unternehmenBean")
	public List<Ansprechpartner> getAnsprechpartners() {
		return this.ansprechpartners;
	}

	public void setAnsprechpartners(List<Ansprechpartner> ansprechpartners) {
		this.ansprechpartners = ansprechpartners;
	}

}