package main;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

/**
 * Eigener CustomItemListener, damit nur beim hndischen Auswhlen eines Items
 * aus einer Combobox - und nicht beim Hinzufgen von Eintrgen - das
 * itemStateChanged-Event ausgelst wird.
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public abstract class CustomItemListener implements ItemListener {
	private static boolean activeItemListener = true;

	public static void setActive(boolean active) {
		activeItemListener = active;
	}

	protected abstract void doItemChanged(ItemEvent arg0);

	@Override
	public void itemStateChanged(ItemEvent arg0) {
		if (activeItemListener) {
			doItemChanged(arg0);
		}
	}
}
