package main;

import java.util.List;

/**
 * Klasse zum Kapseln beliebiger Daten die von EclipseLink ausgelesen wurden
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 * 
 */
public class ResultContent {
	private Class listType = null;
	private List<Object> listContent = null;

	/**
	 * Konstruktor
	 * 
	 * @param listType
	 *            Datentyp der enthaltenen Daten
	 * @param listContent
	 *            Daten
	 */
	public ResultContent(Class listType, List<Object> listContent) {
		this.listType = listType;
		this.listContent = listContent;
	}

	/**
	 * Zurckliefern des Typs der gespeicherten Daten
	 * 
	 * @return Object
	 */
	public Class getListType() {
		return listType;
	}

	/**
	 * Zurckliefern der eigentlichen Daten
	 * 
	 * @return List<Object>
	 */
	public List<Object> getListContent() {
		return listContent;
	}

	/**
	 * Auslesen ob Daten enthalten sind
	 * 
	 * @return
	 */
	public boolean isEmpty() {
		return (listType == null || listContent == null || listContent.size() == 0);
	}
}