package viewTables;
import java.awt.Color;
import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.ListSelectionModel;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableCellRenderer;
import javax.swing.table.TableModel;

/**
 * Basisklasse fr JTables
 * 
 * @author Thomas Kramer, eMail: th-rzv@gmx.de
 *
 */
@SuppressWarnings("serial")
public abstract class AbstractTable extends JTable
{
   public DefaultTableModel dtm;   

   /**
    * 
    * Konstruktor
    * 
    */
   public AbstractTable()
   {
     super();  
     
     /**
      * nur Einfachauswahl erlauben
      */
     this.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
   }

   /**
    * Zentrierung und Hervorhebung der Zellen
    */
   @Override
   public Component prepareRenderer(TableCellRenderer renderer,
         int row, int column)
   {
      Component comp = super.prepareRenderer(renderer, row, column);
      if (comp instanceof JLabel)
      {
         JLabel label = (JLabel) comp;
         label.setHorizontalAlignment(JLabel.CENTER);
      }
      if (!isRowSelected(row))
      {
         // binres Modulo, funktioniert nur mit Zweierpotenzen
         comp.setBackground((row & 1) == 0 ? new Color(228, 223, 252)
               : null);
      }
      return comp;
   }

   /**
    * 
    * Leeren der Tabelle
    * 
    */
   public void clearTable()
   {
      while (0 != dtm.getRowCount())
      {
         dtm.removeRow(0);
      }
   }     
}
